Bug 246699 - kate no longer recognizes printing opcode %P
Summary: kate no longer recognizes printing opcode %P
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: part (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: VHI normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-04 16:22 UTC by Shaun Andrew
Modified: 2011-09-08 08:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shaun Andrew 2010-08-04 16:22:20 UTC
Version:           unspecified (using KDE 4.4.5) 
OS:                Linux

kate no longer recognizes printing opcode %P.  The %P opcode was defined until kde 4.x.  The %P opcode was very useful in tracking total number of pages in a print job.  Entering "%p of %P" into any of the Format fields in the Header & Footer Tab of the kate Print Dialog Window allowed print jobs to tag each page with the "current page" of "total pages", i.e., 1 of 13 ... 13 of 13.  This was extremely helpful, so please return the %P opcode to kate. 

Reproducible: Always

Steps to Reproduce:
1. open a file in kate
2. select File
3. select Print
4. select Options>> from the Print Dialog Window
5. select Header & Footer Tab
6. enter the "%P" opcode in the Footer's center Format field, (could use any Format field)
7. select the Print button on the Print Dialog Window


Actual Results:  
Pages print with the characters "%P" versus "total pages" count.


Expected Results:  
Pages should print with "total pages" count of the print job.


This worked up until kde 4.x.  PLEASE RESTORE!
Comment 1 Dominik Haumann 2011-08-10 16:05:14 UTC
Git commit df0e1d43d2ef57fade1cc7de0b344100766ea983 by Dominik Haumann.
Committed on 10/08/2011 at 18:04.
Pushed by dhaumann into branch 'master'.

fix page count in printing

BUG: 246699

M  +31   -39   part/utils/kateprinter.cpp

http://commits.kde.org/kate/df0e1d43d2ef57fade1cc7de0b344100766ea983
Comment 2 Dominik Haumann 2011-08-10 16:06:25 UTC
Git commit edb775a0db8cf171b1b3ffc4c8e7028df92ee289 by Dominik Haumann.
Committed on 10/08/2011 at 18:04.
Pushed by dhaumann into branch 'KDE/4.7'.

fix page count in printing

BUG: 246699

M  +31   -39   part/utils/kateprinter.cpp

http://commits.kde.org/kate/edb775a0db8cf171b1b3ffc4c8e7028df92ee289
Comment 3 Dominik Haumann 2011-08-10 16:07:03 UTC
It's back in KDE 4.7.1, along even with some other printing fixes.
Comment 4 Dominik Haumann 2011-09-08 08:05:46 UTC
There is one more thing to not in the current state:
%P works correctly for the amount of pages in the document.
But it is not adapted to the size needed if the "Syntax Guide" is printed. In other words, if you print the syntax guide, it may happen that the amount of printed pages increases, and %P is wrong. I didn't get around to fix this in time, have to open a new report for this.